#ifndef BEZIER_H
#define BEZIER_H

#include "bezierprogram.h"

class Bezier{
    public:
        void Initialize();
        void Draw(const BezierProgram & );
        ~Bezier();
        Bezier(void);
        void AddPoint(GLfloat*v);

    private:
        GLuint max_points_;
        GLuint num_points_;
        GLuint vertices_;

        GLuint vao_;
        GLuint vertex_buffer_;

};

#endif // BEZIER_H
